Subject: Re: linux-next: manual merge of the drm tree with the drm-misc-fixes tree

From: Boris Brezillon <[email-masked]>
Date: Thu, 9 Apr 2026 09:47:59 +0200

On Wed, 8 Apr 2026 18:26:04 +0100
Mark Brown <[email-masked]> wrote:

> On Fri, Mar 20, 2026 at 04:39:02PM +0100, Boris Brezillon wrote:
> > Mark Brown <[email-masked]> wrote:  
> 
> > > I fixed it up (see below) and can carry the fix as necessary. This
> > > is now fixed as far as linux-next is concerned, but any non trivial
> > > conflicts should be mentioned to your upstream maintainer when your tree
> > > is submitted for merging.  You may also want to consider cooperating
> > > with the maintainer of the conflicting tree to minimise any particularly
> > > complex conflicts.  
> 
> > I have a slightly different conflict resolution (it's the one we currently
> > have in drm-tip[1]).  
> 
> > [1]https://gitlab.freedesktop.org/drm/tip  
> 
> Sorry, this got buried and won't be relevant any more - for future
> reference if you could send an incremental patch on top of the merge
> that was there that is much easier for me to ingest.

Okay, I'll try to remember that for next time.

> Merges are
> remembered with git rerere and then fixed up with patches on top of that
> if needed.

For the record, we do resolve conflicts between sub-drm branches too
(end result is stored in the drm-tip branch on the tree I shared in my
previous email, and the rerere-cache is available there as well), so it
might be worth checking what we came up with next time you see a
conflict between any of the drm branches.